cascading.tuple.hadoop

## Class BytesSerialization.RawBytesSerializer

- java.lang.Object
- - cascading.tuple.hadoop.BytesSerialization.RawBytesSerializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Serializer<byte[]>

Enclosing class:
  BytesSerialization

    public static class BytesSerialization.RawBytesSerializer
    extends Object
    implements org.apache.hadoop.io.serializer.Serializer<byte[]>

### Constructor Summary

Constructors
Constructor and Description
`BytesSerialization.RawBytesSerializer()`

### Method Summary

Methods
`void` `close()`
`void` `open(OutputStream out)`
`void` `serialize(byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytesSerialization.RawBytesSerializer

    public BytesSerialization.RawBytesSerializer()

### Method Detail

#### open

    public void open(OutputStream out)
              throws IOException

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Serializer<byte[]>`
Throws:
  `IOException`

#### serialize

    public void serialize(byte[] bytes)
                   throws IOException

Specified by:
  `serialize` in interface `org.apache.hadoop.io.serializer.Serializer<byte[]>`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Serializer<byte[]>`
Throws:
  `IOException`